﻿@model Xtoman.Admin.ViewModels.BinanceOrdersViewModel

<div class="card-box table-responsive">
    <div class="table-responsive">
        <table class="table table-bordered table-striped table-hover">
            <thead>
                <tr>
                    <th>شماره سفارش</th>
                    <th>شماره سفارش مشتری</th>
                    <th>مقدار مبادله شده</th>
                    <th>مقدار کل سفارش</th>
                    <th>قیمت</th>
                    <th>جهت خرید</th>
                    <th>وضعیت خرید</th>
                    <th>جفت ارز</th>
                    <th>تاریخ</th>
                    <th>نوع مبادله</th>
                </tr>
            </thead>
            @if (Model.Orders != null && Model.Orders.Any())
            {
                <tbody>
                    @foreach (var item in Model.Orders)
                    {
                        <tr>
                            <td>
                                @if (item.ExchangeOrderId.HasValue)
                                {
                                    <a href="@Url.Action("Details", "ExchangeOrder", new { id = item.ExchangeOrderId })">
                                        @item.ExchangeOrderId
                                    </a>
                                }
                                else {
                                    <span>-</span>
                                }
                            </td>
                            <td>@item.ClientOrderId</td>
                            <td>@item.ExecutedQty.ToBlockChainPrice()</td>
                            <td>@item.OrigQty.ToBlockChainPrice()</td>
                            <td>@item.Price.ToBlockChainPrice()</td>
                            <td>@item.Side</td>
                            <td>@item.Status</td>
                            <td>@item.Symbol</td>
                            <td>@(item.Time.FromUnixTime().ToFaDateTimeZone())</td>
                            <td>@item.Type</td>
                        </tr>
                    }
                </tbody>
            }
            else
            {
                <tr>
                    <th colspan="10">هیچ موردی یافت نشد.</th>
                </tr>
            }
        </table>
    </div>
</div>